Method: projects.locations.observabilitySettings.setAgentOpsObservability

Enables or disables required Google Cloud services and configures agent observability settings.

HTTP request

POST https://geminidataanalytics.googleapis.com/v1beta/{parent=projects/*/locations/*}/observabilitySettings:setAgentOpsObservability

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location for which to set agent observability settings. Format: projects/{project}/locations/{location}

Request body

The request body contains data with the following structure:

JSON representation
{
  "telemetryEnabled": boolean,
  "dataSourceType": string,
  "bqaaEnabled": boolean,
  "updateMask": string
}
Fields
telemetryEnabled

boolean

Optional. Whether to enable or disable agent observability. If you provide updateMask, this field is ignored unless the mask includes telemetryEnabled.

dataSourceType

string

Required. The data source type for which to set observability settings. The only supported value is bigquery.

bqaaEnabled

boolean

Optional. Whether BigQuery Agent Analytics is enabled. To change this field, include bqaaEnabled in updateMask. If you omit updateMask, this field is ignored, and you can't disable a setting that is already enabled.

This project-level setting doesn't enable trace logging for individual agents. Trace logging for each agent is controlled by the bigqueryAgentAnalyticsEnabled and bigqueryAgentAnalyticsTable fields of a DataAgent. Agents don't inherit this setting.

updateMask

string (FieldMask format)

Optional. The fields to overwrite in the update, relative to the resource. A field is overwritten only if it is in the mask.

If you don't provide a mask, only telemetryEnabled is updated, for backward compatibility. To disable BigQuery Agent Analytics (set bqaaEnabled to false), include bqaaEnabled in updateMask.

The mask follows AIP-161:

  • To update all fields, use the wildcard value *.
  • Use snake_case field paths. The camelCase equivalents (telemetryEnabled and bqaaEnabled) are also accepted for REST and JSON transcoding.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.